#
# spec file for package python3-munkres
#
# Copyright (c) 2017 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python3-munkres
Version:        1.0.9
Release:        1.1
License:        Apache-2.0
Summary:        Munkres implementation for Python
Url:            http://software.clapper.org/munkres/
Group:          Development/Languages/Python
Source:         https://github.com/bmc/munkres/archive/release-%{version}.tar.gz
BuildRequires:  python3-devel
BuildArch:      noarch

%description
The Munkres module provides an O(n^3) implementation of the Munkres
algorithm (also called the Hungarian algorithm or the Kuhn-Munkres
algorithm). The algorithm models an assignment problem as an NxM cost
matrix, where each element represents the cost of assigning the i'th
worker to the j'th job, and it figures out the least-cost solution,
choosing a single item from each row and column in the matrix, such
that no row and no column are used more than once.

This particular implementation is based on
http://csclab.murraystate.edu/~bob.pilgrim/445/munkres.html.

%prep
%setup -q -n munkres-release-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGELOG.md LICENSE README.md
%{python3_sitelib}/*

%changelog
* Tue Feb 21 2017 jengelh@inai.de
- Wrap description
* Fri Jan 20 2017 alarrosa@suse.com
- Initial release
